WRWelshRugbyPicsWelsh sport captured
Recent Years Print orders FAQs Contact
Recent Years Print orders FAQs Contact
Recent/November 2020/13 Nov 2020

Robert Butcher

36 photographs Chris Fairweather/Huw Evans Agency Friday
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 001
CDF_131120_CF_Robert_Butcher_001.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 002
CDF_131120_CF_Robert_Butcher_002.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 003
CDF_131120_CF_Robert_Butcher_003.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 004
CDF_131120_CF_Robert_Butcher_004.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 005
CDF_131120_CF_Robert_Butcher_005.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 006
CDF_131120_CF_Robert_Butcher_006.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 007
CDF_131120_CF_Robert_Butcher_007.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 008
CDF_131120_CF_Robert_Butcher_008.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 009
CDF_131120_CF_Robert_Butcher_009.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 010
CDF_131120_CF_Robert_Butcher_010.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 011
CDF_131120_CF_Robert_Butcher_011.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 012
CDF_131120_CF_Robert_Butcher_012.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 013
CDF_131120_CF_Robert_Butcher_013.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 014
CDF_131120_CF_Robert_Butcher_014.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 015
CDF_131120_CF_Robert_Butcher_015.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 016
CDF_131120_CF_Robert_Butcher_016.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 017
CDF_131120_CF_Robert_Butcher_017.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 018
CDF_131120_CF_Robert_Butcher_018.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 019
CDF_131120_CF_Robert_Butcher_019.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 020
CDF_131120_CF_Robert_Butcher_020.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 021
CDF_131120_CF_Robert_Butcher_021.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 022
CDF_131120_CF_Robert_Butcher_022.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 023
CDF_131120_CF_Robert_Butcher_023.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 024
CDF_131120_CF_Robert_Butcher_024.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 025
CDF_131120_CF_Robert_Butcher_025.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 026
CDF_131120_CF_Robert_Butcher_026.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 027
CDF_131120_CF_Robert_Butcher_027.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 028
CDF_131120_CF_Robert_Butcher_028.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 029
CDF_131120_CF_Robert_Butcher_029.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 030
CDF_131120_CF_Robert_Butcher_030.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 031
CDF_131120_CF_Robert_Butcher_031.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 032
CDF_131120_CF_Robert_Butcher_032.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 033
CDF_131120_CF_Robert_Butcher_033.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 034
CDF_131120_CF_Robert_Butcher_034.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 035
CDF_131120_CF_Robert_Butcher_035.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC
131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC 036
CDF_131120_CF_Robert_Butcher_036.JPG · Chris Fairweather/Huw Evans Agency131120 - WRU - Picture shows newly elected WRU Chairman Robert Butcher at his local rugby club Bargoed RFC

More from around this date

Fri 13 NovWales U21 v Moldova U21 Fri 13 NovIreland 32-9 Wales Sat 14 NovConnacht 14-20 Scarlets Sat 14 NovWales Football Training Thu 12 NovWales 0-0 USA Thu 12 NovWales Rugby Training 21120 Sun 15 NovMunster 38-22 Ospreys Sun 15 NovWales 1-0 Republic of Ireland
Robert Butcher · 13 Nov 2020
Photo detail
© 2026 WelshRugbyPics A Huw Evans Agency site Welsh sport captured